• 全部
  • C#综合技术
  • C#互联网桌面应用
  • AppLauncher
  • WinForm&WPF
  • C#开发新技术
  • 问答

vs studio 的nuget连不上,有没有好用的包源推荐

number007cool 2021-05-16 12:48:00
系统默认的nuget包源已经好久连不上了,不知道大家用的是哪个地址。

有好用的请推荐一下。

谢谢@
...全文
790 点赞 收藏 18
写回复
18 条回复
切换为时间正序
请发表友善的回复…
发表回复
HerryDong 05-21
引用 15 楼 number007cool 的回复:
[quote=引用 14 楼 HerryDong 的回复:]哈哈,必须是vs2015、vs2017、vs2019带的nuget才好用,整个界面都重新设计过。vs2010、vs2012、vs2013的nuget不行。以前下载个boostrap下半天下不下来,最后换成vs2015,nuget下载bootstrap、newtonsoft.json、entity framework之类的东西几秒就搞定。
那我是不是得换vs2015或者2017啊,晕了, 太坑了。我就一直纳闷,为啥大家推荐了这么多,我这边一个都用不成[/quote]界面也更友好
回复
HerryDong 05-21
引用 15 楼 number007cool 的回复:
[quote=引用 14 楼 HerryDong 的回复:]哈哈,必须是vs2015、vs2017、vs2019带的nuget才好用,整个界面都重新设计过。vs2010、vs2012、vs2013的nuget不行。以前下载个boostrap下半天下不下来,最后换成vs2015,nuget下载bootstrap、newtonsoft.json、entity framework之类的东西几秒就搞定。
那我是不是得换vs2015或者2017啊,晕了, 太坑了。我就一直纳闷,为啥大家推荐了这么多,我这边一个都用不成[/quote]你装个vs2015试试就知道了,nuget那是相当好用,当然我更推荐vs2019
回复
引用 14 楼 HerryDong 的回复:
哈哈,必须是vs2015、vs2017、vs2019带的nuget才好用,整个界面都重新设计过。vs2010、vs2012、vs2013的nuget不行。以前下载个boostrap下半天下不下来,最后换成vs2015,nuget下载bootstrap、newtonsoft.json、entity framework之类的东西几秒就搞定。


那我是不是得换vs2015或者2017啊,晕了, 太坑了。我就一直纳闷,为啥大家推荐了这么多,我这边一个都用不成
回复
HerryDong 05-21
哈哈,必须是vs2015、vs2017、vs2019带的nuget才好用,整个界面都重新设计过。vs2010、vs2012、vs2013的nuget不行。以前下载个boostrap下半天下不下来,最后换成vs2015,nuget下载bootstrap、newtonsoft.json、entity framework之类的东西几秒就搞定。
回复
引用 12 楼 学无止境小土豆 的回复:
控制台的话不是应该输 Install-Package HslCommunication -Version 9.8.0 嘛,我试了可以

这个路径我是在vs2015、vs2019上都可以上的 http://packages.nuget.org/v1/FeedService.svc/

或者你看看设置?


PM> Install-Package HslCommunication -Version 9.8.0
Install-Package : 找不到“9.8.0”版本的程序包“HslCommunication”。
所在位置 行:1 字符: 16
+ Install-Package <<<< HslCommunication -Version 9.8.0
+ CategoryInfo : NotSpecified: (:) [Install-Package], InvalidOperationException
+ FullyQualifiedErrorId : NuGetCmdletUnhandledException,NuGet.PowerShell.Commands.InstallPackageCommand

PM>

也不行
回复
控制台的话不是应该输 Install-Package HslCommunication -Version 9.8.0 嘛,我试了可以 这个路径我是在vs2015、vs2019上都可以上的 http://packages.nuget.org/v1/FeedService.svc/ 或者你看看设置?
回复
家里电脑,在命令行下,敲入[Net.ServicePointManager]::SecurityProtocol=[Net.ServicePointManager]::SecurityProtocol-bOR [Net.SecurityProtocolType]::Tls12
后就可以看到需要的库了。
网上说的是https的问题。

源地址用的下面这个:
https://www.nuget.org/api/v2/
回复
引用 6 楼 学无止境小土豆 的回复:
[quote=引用 5 楼 number007cool 的回复:][quote=引用 1 楼 学无止境小土豆 的回复:]https://www.nuget.org/api/v2/


用命令装也不行,我电信的宽带,也不至于这么差吧

PM> Install-Package HslCommunication
Install-Package : 无法找到程序包“HslCommunication”。
所在位置 行:1 字符: 16
+ Install-Package <<<< HslCommunication
+ CategoryInfo : NotSpecified: (:) [Install-Package], InvalidOperationException
+ FullyQualifiedErrorId : NuGetCmdletUnhandledException,NuGet.PowerShell.Commands.InstallPackageCommand

PM>
回复


试了下不行。[/quote]
[/quote]



我就是这么配的,就是没有搜到。

难不成nuget要单独装? 我的vs是2013版本。
回复
引用 8 楼 number007cool 的回复:
[quote=引用 6 楼 学无止境小土豆 的回复:][quote=引用 5 楼 number007cool 的回复:][quote=引用 1 楼 学无止境小土豆 的回复:]https://www.nuget.org/api/v2/
一直在检索中,没看到什么库出来[/quote] 发错了,试试这个呢:http://packages.nuget.org/v1/FeedService.svc/[/quote] 试了下不行。[/quote]
回复
引用 6 楼 学无止境小土豆 的回复:
[quote=引用 5 楼 number007cool 的回复:][quote=引用 1 楼 学无止境小土豆 的回复:]https://www.nuget.org/api/v2/


一直在检索中,没看到什么库出来[/quote]
发错了,试试这个呢:http://packages.nuget.org/v1/FeedService.svc/[/quote]

试了下不行。
回复
引用 5 楼 number007cool 的回复:
[quote=引用 1 楼 学无止境小土豆 的回复:]https://www.nuget.org/api/v2/
一直在检索中,没看到什么库出来[/quote] 发错了,试试这个呢:http://packages.nuget.org/v1/FeedService.svc/
回复
引用 2 楼 exception92 的回复:
一直用的都是#1。程序包源有好几个选项,根据需要选择外网或者本地源。
方便把你可用的地址贴出来么?谢谢。
回复
引用 1 楼 学无止境小土豆 的回复:
https://www.nuget.org/api/v2/
一直在检索中,没看到什么库出来
回复
引用 2 楼 exception92 的回复:
一直用的都是#1。程序包源有好几个选项,根据需要选择外网或者本地源。
回复
引用 1 楼 学无止境小土豆 的回复:
https://www.nuget.org/api/v2/
我配的就是这个地址,vs自己的nuget搜不到任何东西
回复
一直用的都是#1。程序包源有好几个选项,根据需要选择外网或者本地源。
回复
https://www.nuget.org/api/v2/
回复
发帖
C#
创建于2007-09-28

10.5w+

社区成员

.NET技术 C#
申请成为版主
帖子事件
创建了帖子
2021-05-16 12:48
社区公告

让您成为最强悍的C#开发者